<!---+
--->
<cfcomponent extends="Controller" output="false">

	<cfimport taglib="/com/stellr/tags/cache" prefix="c">

	<cffunction name="Index" access="remote" returntype="any" output="false">
		<cfargument name="params" type="any" required="true">
		
		<cfset runSubRequest(controller=getName(),action="List")>
	</cffunction>
	
	<cffunction name="List" access="remote" returntype="any" output="false">
		<cfargument name="params" type="any" required="true">
		
		<cfset var event = params.get("event")>
		<cfset var scheduleItems = "">
		
		<c:CachedRecordSet variable="scheduleItems" key="com.cfunited/2010/schedule">
			<cfset scheduleItems = event.createScheduleItemRecordSet()>

			<cfset scheduleItems.setSelectAllJoinColumns(false)>
			<cfset scheduleItems.addJoin("event.Topic")>
			
			<cfset scheduleItems.load()>
		</c:CachedRecordSet>
		
		<cfset params.set("scheduleItems",scheduleItems)>
	</cffunction>
	
</cfcomponent>